Skip to main content
GET
List properties

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectTypeId
string
required

The unique identifier of the object type whose properties are being retrieved.

Query Parameters

after
string

A paging cursor token for pagination. Use the value from the previous response's paging.next.after field to retrieve the next set of results.

archived
boolean
default:false

Whether to return only results that have been archived. Defaults to false.

fields
enum<string>[]

A list of specific fields to include in the response. Possible values include category, label, type, fieldType, and more.

Available options:
category,
label,
type,
fieldType,
groupName,
description,
options,
createdAt,
updatedAt,
hidden,
readOnlyValue,
readOnlyDefinition,
hasUniqueValue,
archivable,
readOnlyOptions,
calculationFormula,
archived,
calculated,
optionsSource,
dateDisplayFormat,
numberDisplayFormat,
currencyPropertyName,
updatedByUserId,
createdByUserId,
dataEntryInstructions,
optionColors,
accessAllowlist,
dataSensitivity,
defaultValue,
formField,
sensitiveDataCategories,
validationRules,
rollupConfig,
syncConfig
limit
integer<int32>
default:25

The maximum number of results to display per page. Defaults to 25.

Response

successful operation

results
object[]
required

An array of PublicApiProperty objects, representing the properties retrieved in the current page of results.

paging
object
Last modified on November 5, 2026